> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unleeshed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys

> List all API keys for your organization

<Note>
  This endpoint requires **Bearer authentication** with your Supabase JWT, not an API key.
</Note>

## Response

<ResponseField name="data" type="array">
  Array of API key metadata (keys are masked).
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://prod.api.unleeshed.ai/partner/v1/api-keys" \
    -H "Authorization: Bearer YOUR_SUPABASE_JWT"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://prod.api.unleeshed.ai/partner/v1/api-keys', {
    headers: { 'Authorization': `Bearer ${supabaseJwt}` }
  });
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "success": true,
    "data": [
      {
        "id": "key-abc-123",
        "name": "Production Server",
        "key_prefix": "pk_live_abc12",
        "scopes": ["topics:submit", "topics:read", "personas:read"],
        "created_at": "2026-01-15T10:00:00Z",
        "last_used_at": "2026-01-30T14:22:00Z"
      },
      {
        "id": "key-xyz-789",
        "name": "Development",
        "key_prefix": "pk_test_xyz78",
        "scopes": ["topics:submit", "topics:read", "personas:read"],
        "created_at": "2026-01-20T09:00:00Z",
        "last_used_at": null
      }
    ]
  }
  ```
</ResponseExample>
